set(SQLite3_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/src/third_party/sqlite3")
set(SQLite3_SOURCE_FILE "${CMAKE_SOURCE_DIR}/src/third_party/sqlite3/sqlite3.c")

list(APPEND database_LIB_INCLUDES 
    Database.cpp
    DatabaseManager.cpp
    database_interfaces/SqliteInterface.cpp
	${SQLite3_SOURCE_FILE})

add_library(database SHARED ${database_LIB_INCLUDES})

target_include_directories(database PUBLIC
                          ${CMAKE_CURRENT_SOURCE_DIR}
                          ${CMAKE_CURRENT_SOURCE_DIR}/database_interfaces
                          ${SQLite3_INCLUDE_DIR}
                          )
                          
target_link_libraries(database core)
set_property(TARGET database PROPERTY FOLDER src)
set_target_properties( database PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON )
